path: /build/build/bind-net-dns-9.21.15+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - sed '/meson_feature caps/d' -i /var/git/meta-repo/kits/net-kit/net-dns/bind/bind-9.21.15.ebuild
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-dnstap -doh -geoip -gssapi -idn -lmdb -selinux -test caps xml" emerge net-dns/bind -pv -t
  - |
    USE="-dnstap -doh -geoip -gssapi -idn -lmdb -selinux -test caps xml" emerge -j ${JOBS} net-dns/bind
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/bind && luet-portage --dir
    /pkgdir/bind net-dns/bind
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:376e516da80728dfd670a0d5efa8c5f0932b25964bd48dc472afb155606ac591
  package:
    name: bind
    version: 9.21.15+1
    category: net-dns
    use_flags:
    - -dnstap
    - -doh
    - -geoip
    - -gssapi
    - -idn
    - -lmdb
    - -selinux
    - -test
    - caps
    - xml
    requires:
    - name: json-c
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Berkeley Internet Name Domain - Name Server
    uri:
    - https://www.isc.org/software/bind
    license: Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0
    buildtimestamp: 2025-12-20 16:53:49.770239974 +0000 UTC m=+835.945374120
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      DEPEND: =net-dns/bind-tools-9.21.15* jemalloc? ( dev-libs/jemalloc ) dev-libs/json-c:=
        dev-libs/libuv:= dev-libs/openssl sys-libs/libcap sys-libs/zlib doh? ( net-libs/nghttp2
        ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5 ) idn? ( net-dns/libidn2
        ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm dev-libs/protobuf-c ) xml?
        ( dev-libs/libxml2 ) stats? ( dev-libs/json-c dev-libs/libxml2 ) sys-apps/shadow
      IUSE: +caps dnstap dnsrps doh fixed-rrset geoip gssapi idn +jemalloc lmdb selinux
        urandom xml stats
      RDEPEND: =net-dns/bind-tools-9.21.15* jemalloc? ( dev-libs/jemalloc ) dev-libs/json-c:=
        dev-libs/libuv:= dev-libs/openssl sys-libs/libcap sys-libs/zlib doh? ( net-libs/nghttp2
        ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5 ) idn? ( net-dns/libidn2
        ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm dev-libs/protobuf-c ) xml?
        ( dev-libs/libxml2 ) stats? ( dev-libs/json-c dev-libs/libxml2 ) selinux?
        ( sec-policy/selinux-bind ) sys-process/psmisc virtual/tmpfiles
      emerge.packages: net-dns/bind
      kit: net-kit
      original.package.name: net-dns/bind
      original.package.slot: "0"
      original.package.version: 9.21.15
    treedir: /build/packages
  package_dir: /pkgdir/bind
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ce057133a8a96fdebfbab7c2a133809bbd4381f104536e8d03fae8db5bdf4da4
compressiontype: zstd
files:
- etc/bind/dyn
- etc/bind/named.conf
- etc/bind/pri
- etc/bind/sec
- etc/conf.d/named
- etc/env.d/10bind
- etc/init.d/named
- usr/bin/arpaname
- usr/bin/named-checkconf
- usr/bin/named-checkzone
- usr/bin/named-compilezone
- usr/bin/named-journalprint
- usr/bin/named-makejournal
- usr/bin/named-rrchecker
- usr/bin/nsec3hash
- usr/lib/tmpfiles.d/named.conf
- usr/libexec/generate-rndc-key.sh
- usr/sbin/ddns-confgen
- usr/sbin/named
- usr/sbin/rndc
- usr/sbin/rndc-confgen
- usr/sbin/tsig-keygen
- usr/share/doc/bind-9.21.15/AUTHORS.bz2
- usr/share/doc/bind-9.21.15/README.md.bz2
- var/bind/dyn/.keep_net-dns_bind-0
- var/bind/named.cache
- var/bind/pri/.keep_net-dns_bind-0
- var/bind/pri/localhost.zone
- var/bind/root.cache
- var/bind/sec/.keep_net-dns_bind-0
- var/db/pkg/net-dns/bind-9.21.15/BDEPEND
- var/db/pkg/net-dns/bind-9.21.15/BUILD_TIME
- var/db/pkg/net-dns/bind-9.21.15/CATEGORY
- var/db/pkg/net-dns/bind-9.21.15/CBUILD
- var/db/pkg/net-dns/bind-9.21.15/CFLAGS
- var/db/pkg/net-dns/bind-9.21.15/CHOST
- var/db/pkg/net-dns/bind-9.21.15/CONTENTS
- var/db/pkg/net-dns/bind-9.21.15/COUNTER
- var/db/pkg/net-dns/bind-9.21.15/CTARGET
- var/db/pkg/net-dns/bind-9.21.15/CXX
- var/db/pkg/net-dns/bind-9.21.15/CXXFLAGS
- var/db/pkg/net-dns/bind-9.21.15/DEFINED_PHASES
- var/db/pkg/net-dns/bind-9.21.15/DEPEND
- var/db/pkg/net-dns/bind-9.21.15/DESCRIPTION
- var/db/pkg/net-dns/bind-9.21.15/EAPI
- var/db/pkg/net-dns/bind-9.21.15/FEATURES
- var/db/pkg/net-dns/bind-9.21.15/HOMEPAGE
- var/db/pkg/net-dns/bind-9.21.15/INHERITED
- var/db/pkg/net-dns/bind-9.21.15/IUSE
- var/db/pkg/net-dns/bind-9.21.15/IUSE_EFFECTIVE
- var/db/pkg/net-dns/bind-9.21.15/KEYWORDS
- var/db/pkg/net-dns/bind-9.21.15/LDFLAGS
- var/db/pkg/net-dns/bind-9.21.15/LICENSE
- var/db/pkg/net-dns/bind-9.21.15/NEEDED
- var/db/pkg/net-dns/bind-9.21.15/NEEDED.ELF.2
- var/db/pkg/net-dns/bind-9.21.15/PF
- var/db/pkg/net-dns/bind-9.21.15/RDEPEND
- var/db/pkg/net-dns/bind-9.21.15/REQUIRES
- var/db/pkg/net-dns/bind-9.21.15/SIZE
- var/db/pkg/net-dns/bind-9.21.15/SLOT
- var/db/pkg/net-dns/bind-9.21.15/USE
- var/db/pkg/net-dns/bind-9.21.15/bind-9.21.15.ebuild
- var/db/pkg/net-dns/bind-9.21.15/environment.bz2
- var/db/pkg/net-dns/bind-9.21.15/repository
- var/log/named/.keep_net-dns_bind-0
package_cacheimage: ""
runtime:
  name: bind
  version: 9.21.15+1
  category: net-dns
  use_flags:
  - -dnstap
  - -doh
  - -geoip
  - -gssapi
  - -idn
  - -lmdb
  - -selinux
  - -test
  - caps
  - xml
  requires:
  - name: json-c
    version: '>=0'
    category: dev-libs
  - name: bind-tools
    version: '>=0'
    category: net-dns
  - name: libcap
    version: '>=0'
    category: sys-libs
  - name: psmisc
    version: '>=0'
    category: sys-process
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Berkeley Internet Name Domain - Name Server
  uri:
  - https://www.isc.org/software/bind
  license: Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    DEPEND: =net-dns/bind-tools-9.21.15* jemalloc? ( dev-libs/jemalloc ) dev-libs/json-c:=
      dev-libs/libuv:= dev-libs/openssl sys-libs/libcap sys-libs/zlib doh? ( net-libs/nghttp2
      ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5 ) idn? ( net-dns/libidn2
      ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm dev-libs/protobuf-c ) xml?
      ( dev-libs/libxml2 ) stats? ( dev-libs/json-c dev-libs/libxml2 ) sys-apps/shadow
    IUSE: +caps dnstap dnsrps doh fixed-rrset geoip gssapi idn +jemalloc lmdb selinux
      urandom xml stats
    RDEPEND: =net-dns/bind-tools-9.21.15* jemalloc? ( dev-libs/jemalloc ) dev-libs/json-c:=
      dev-libs/libuv:= dev-libs/openssl sys-libs/libcap sys-libs/zlib doh? ( net-libs/nghttp2
      ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5 ) idn? ( net-dns/libidn2
      ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm dev-libs/protobuf-c ) xml?
      ( dev-libs/libxml2 ) stats? ( dev-libs/json-c dev-libs/libxml2 ) selinux? (
      sec-policy/selinux-bind ) sys-process/psmisc virtual/tmpfiles
    emerge.packages: net-dns/bind
    kit: net-kit
    original.package.name: net-dns/bind
    original.package.slot: "0"
    original.package.version: 9.21.15
